# @(#)members.tcl	1.5  97/12/23

# Copyright (c) Communications Research Centre, Government of Canada 1997. 
# All rights reserved.
# 
# License is granted to copy and use this software, for research and
# evaluation purposes, provided that the Communications Research Centre
# is acknowledged in all documentation pertaining to any such copy or
# use. The Communications Research Centre grants no other licenses
# expressed or implied. Title, ownership rights, and intellectual
# property rights in the software shall remain with the Communications
# Research Centre.  The Centre's name and the Government of Canada
# should not be used in any advertising without written permission.
# 
# THE COMMUNICATIONS RESEARCH CENTRE MAKES NO REPRESENTATIONS CONCERNING
# EITHER THE MERCHANTABILITY OF THIS SOFTWARE OR THE SUITABILITY OF
# THIS SOFTWARE FOR ANY PARTICULAR PURPOSE.  The software is provided
# "as is" without express or implied warranty of any kind.
# 
# These notices must be retained in any copies of any part of this
# software.
# 

# the main display of the members list

if {[winfo exists .members] != 0} {
   destroy .members
   }

# default value for keep variable

set keep 0

toplevel .members

wm title .members "MPoll Members"

# create a list of topics
frame .members.top \
   -borderwidth  5
pack .members.top -side  top -expand  1 -fill  y

text .members.top.list \
   -yscrollcommand  ".members.top.listscroll set" \
   -wrap "word" \
   -height  10 \
   -width  40
   
scrollbar .members.top.listscroll \
   -orient vertical \
   -command  ".members.top.list yview"


pack .members.top.listscroll -side right  -fill y  -expand  1
pack .members.top.list -side  left  -expand 1  -fill both

# ----------------------------
# the buttons at the bottom

frame .members.bottomframe \
   -borderwidth 1
pack .members.bottomframe -pady 3 -side bottom -fill  x

button .members.bottomframe.dismiss \
   -text "Dismiss" \
   -command {destroy .members}
pack .members.bottomframe.dismiss -side  "right"

button .members.bottomframe.help \
   -text  "Help" \
    -command {helpme members}
pack .members.bottomframe.help -side right

checkbutton .members.bottomframe.keep \
   -text  "Keep All" \
    -variable keep
pack .members.bottomframe.keep -side left



