/*  @(#)stringutil.c	1.5  97/12/23  */

/*
 * Copyright (c) Communications Research Centre, Government of Canada 1997. 
 * All rights reserved.
 * 
 * License is granted to copy and use this software, for research and
 * evaluation purposes, provided that the Communications Research Centre
 * is acknowledged in all documentation pertaining to any such copy or
 * use. The Communications Research Centre grants no other licenses
 * expressed or implied. Title, ownership rights, and intellectual
 * property rights in the software shall remain with the Communications
 * Research Centre.  The Centre's name and the Government of Canada
 * should not be used in any advertising without written permission.
 * 
 * THE COMMUNICATIONS RESEARCH CENTRE MAKES NO REPRESENTATIONS CONCERNING
 * EITHER THE MERCHANTABILITY OF THIS SOFTWARE OR THE SUITABILITY OF
 * THIS SOFTWARE FOR ANY PARTICULAR PURPOSE.  The software is provided
 * "as is" without express or implied warranty of any kind.
 * 
 * These notices must be retained in any copies of any part of this
 * software.
 */

#include "mpoll.h"

/* -------------------------------------------------------------- */
/* if 'line' starts with 's', return pointer to what */
/* comes after 's' in line                           */

char *strstrt(s,line) 
char *line,*s;
   {
	while(*s)
	   {
		if( *s != *line || !*line)
		   {
			return(NULL);
		   }
		++s;
		++line;
	   }
	return(line);
   }

/* -------------------------------------------------------------- */
/* make sure a string is terminated by a null */ 
     
linetostr(line) 
char *line;
   {
   char *endl;
   
   endl=line;
   while(*endl != '\n' && *endl != '\0') ++endl;
   *endl='\0';
   }
   
   
/* -------------------------------------------------------------- */
/* remove \n and replace with SPACE */

char *removenl(line)
   char *line;
   {
   char *end;

   end = line;
   while (*end != '\0')
      {
      if (*end == '\n') /* found a new line */
         {
         *end = ' ';
         }
      end++;
      }
   }

/* -------------------------------------------------------------- */
/* return pointer to string after the target found in a line */
char *strafter(char *s, char *line)
   {
   char *tmp = NULL;
   
   tmp = strstr(line, s);
   if (tmp == NULL)
      {
      return(NULL);
      }
   tmp += strlen(s);
   return(tmp);
   }
   
/* -------------------------------------------------------------- */
/* break a string up into words and return the word that is desired */

char *getword(char *string, int word)
   {
   int count;
   char *ns = NULL;
   char *tword = NULL;
   char *fs = NULL;
   
   count = 0;
   
   ns = strdup(string);
   tword = strtok(ns, " "); /* split on space */
   while (tword != NULL)
      {
      count++;
      if (count == word)
         {
         fs = strdup(tword);
         free(ns);
         return fs;
         }
      tword = strtok(NULL, " ");
      }
    free(ns);
    return NULL;
   }


